/* This file is part of genrc
Copyryght (C) 2018 Sergey Poznyakoff
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
*/
#include "genrc.h"

int
com_reload(void)
{
	PIDLIST pids;
	
	if (genrc_no_reload)
		return com_restart();
	pidlist_init(&pids);
	if (get_pid_list(genrc_pid_closure, &pids))
		return 1;
	pidlist_kill(&pids, genrc_signal_reload);
	return 0;
}

	
